Page MenuHomeLubuntu Development

Lubuntu: Fix GeoIP parsing
ClosedPublic

Authored by apt-ghetto on Oct 16 2020, 9:06 AM.

Details

Summary

With the recent switch of the GeoIP service, the format has also changed from
JSON to XML. This was not correctly changed in the welcome module for Lubuntu.

Test Plan
  1. Start Calamares (e.g. with an IP address from Europe).
  2. Check, that the language is set correctly (e.g. French when in France).

Diff Detail

Repository
rCALASETTINGS Ubuntu Calamares Settings
Branch
arcpatch-D101
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 211
Build 211: arc lint + arc unit

Event Timeline

apt-ghetto created this revision.

I don't even have to test this and I know it's right since that URL only serves XML.

One thing I didn't notice before: @tsimonq2 switched from https to http which seems odd. Canonical is serving https so we should use it, IMHO. Not like that affects this particular commit, but it might be a nice addition for another one since you seem to be making a habit out of fixing what Simon broke :)

simonsfault

This revision is now accepted and ready to land.Oct 16 2020, 9:44 PM

Use HTTPS

Use HTTPS for the GeoIP service lookup.

This revision now requires review to proceed.Oct 17 2020, 12:10 PM

Thank you @apt-ghetto for your attention to detail here.

This revision is now accepted and ready to land.Oct 17 2020, 12:52 PM

Let's get this in ASAP!

Updated changelog

Updated changelog to release 21.04

This revision now requires review to proceed.Oct 24 2020, 8:51 AM
This revision is now accepted and ready to land.Oct 25 2020, 6:45 PM
This revision was automatically updated to reflect the committed changes.